; POHEDR.REC	Purchase Order header file record map.
;=======================================================================;
; Copyright 1999 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;=======================================================================;
;	Record size:	512
;	Primary key:	1.8	comp,order
;	Alternate 1:	10.8	vend
;=======================================================================;
record	pohedr
	pom_key		,a8			; Primary key
	  pom_comp	,a2	@pom_key	; Company code
	  pom_order	,d6	@pom_key+2	; Order number
	pom_ordtype	,a1			; Order type
						;   O - order
						;   H - hold
						;   X - cancelled
	pom_vend	,d8			; Vendor id
	pom_mail	,d8			; Mail to id
	pom_name	,a30			; Vendor name
	pom_addr1	,a30			; Address 1
	pom_addr2	,a30			; Address 2
	pom_city	,a20			; City
	pom_state	,a2			; State
	pom_zip		,a10			; Zip code
	pom_phone	,a14			; Telephone number
	pom_fax		,a10			; FAX phone number
	pom_orddate	,d8			; P/O date                 (YMD)
	pom_reqdate	,d8			; Required date            (YMD)
	pom_viacode	,a3			; Ship via
	pom_buyrcode	,a3			; Buyer code
	pom_termcode	,a3			; Terms code
	pom_confirmed	,a20			; Confirmed with
	pom_fobc	,a1			; FOB
						;  O - origin
						;  D - destination
	pom_colppd	,a1			; Collect/Prepaid          (C/P)
	pom_locncode	,a3			; Location
	pom_status	,a1			; Status
						;   O - open
						;   R - receivings pending
						;   P - partial
						;   C - closed
	pom_comment1	,a40			; Comment line 1
	pom_comment2	,a40			; Comment line 2
	pom_cust	,d8			; Customer ID
	pom_custord	,d6			; Customer order number
	pom_shipid	,d8			; Ship to ID
	pom_shipname	,a30			; Ship to name
	pom_shipaddr1	,a30			; Ship to address 1
	pom_shipaddr2	,a30			; Ship to address 2
	pom_shipcity	,a20			; Ship to city
	pom_shipstate	,a2			; Ship to state
	pom_shipzip	,a10			; Ship to zip code
	pom_flag1	,a1			; Flag - P/O printed
	pom_flag2	,a1			; Flag - Receiver issued
	pom_flag3	,a1			; Flag - Quantities set
	pom_flag4	,a1			; Flag - Labels printed
	pom_totamt	,d9.2			; Total PO amount          (7.2)
	pom_totrcvd	,d9.2			; Total PO recvd to date   (7.2)
	pom_totinvcd	,d9.2			; Total amt invcd to date  (7.2)
	pom_invcdate	,d8			; Last invoice date        (YMD)
	pom_invcno	,a8			; Last invoice paid
	pom_ordwgt	,d7.2			; Total PO weight          (7.2)
	pom_ordcubes	,d5			; Total PO cubes           (5.0)
	pom_ordqty	,d6			; Total PO quantity        (6.0)
	pom_entstatus	,a1			; Entry status
